/* ui css */


/* #region (mobile) */

    /* #region (base) */

        :root {
            --fontDefault: 16px;
            --fontSize: 1rem;
            --maxWidth: 85.375rem;
            --mainHeight: 35dvh;
            --fillMain: red;
            --fillFont: #444;
            --transition: ease all .24s;
        }

        * {
            box-sizing: border-box;
            font-family: Montserrat, sans-serif;
            background-repeat: no-repeat;
            background-size: contain;
            background-position: center;
            object-fit: contain;
            object-position: center;
            scroll-behavior: smooth;
        }

        html, body {
            margin: 0;
            color: var(--fillFont);
            font-size: var(--fontDefault);
            line-height: 1.5;
            font-weight: 400;
            -webkit-font-smoothing: antialiased;
            overflow-x: hidden;
        }

        html.--noScroll, body.--noScroll {
            overflow: hidden;
        }

        body {
            min-height: 100dvh;
        }

        h1, h2, h3, h4, h5, h6 {
            margin: 0;
            line-height: 1.1;
            font-weight: 600;
        }

        h1 {
            font-size: calc(var(--fontSize) * 3);
        }

        h2 {
            font-size: calc(var(--fontSize) * 4);
        }

        h3 {
            font-size: calc(var(--fontSize) * 2.5);
        }

        h4 {
            font-size: calc(var(--fontSize) * 2);
        }

        p {
            margin: 0;
            font-size: calc(var(--fontSize) * 1.5);
        }

        a {
            text-decoration: none;
            color: var(--fillFont);
            transition: var(--transition);
            font-weight: 600;
        }

        a *:not(svg) {
            transition: var(--transition);
        }

        picture {
            position: relative;
            display: flex;
            flex-direction: column;
        }

        picture:before {
            content: '';
            display: block;
            width: 100%;
        }

        picture img {
            position: absolute;
            top: 0;
            left: 0;
            object-fit: cover;
        }

        img, svg {
            width: 100%;
            height: 100%;
            pointer-events: none;
        }

    /* #endregion */


    /* #region (blocks) */

        .hidden-for-user {
            position: absolute !important;
            width: 1px !important;
            height: 1px !important;
            padding: 0 !important;
            margin: -1px !important;
            overflow: hidden !important;
            clip: rect(0,0,0,0) !important;
            white-space: nowrap !important;
            border: 0 !important;
            opacity: .0001 !important;
            speak: none !important;
        }

        .content {
            width: 100%;
            margin-top: calc(var(--fontSize) * -10);
            overflow: hidden;
            /* padding-bottom: calc(var(--fontSize) * 6); */
        }

        .container {
            width: 100%;
            max-width: var(--maxWidth);
            margin: 0 auto;
            padding: 0 calc(var(--fontSize) * 2);
        }

        .block {
            width: 100%;
            padding: calc(var(--fontSize) * 4) 0;
            position: relative;
        }

        .cards {
            filter: drop-shadow(0 0 .5rem rgba(0, 0, 0, 0.10));
        }

        .card {
            border-radius: calc(var(--fontSize) * 3);
            overflow: hidden;
            will-change: transform;
            background-color: white;
            color: var(--fillFont);
        }

    /* #endregion */


    /* #region (flex) */

        .p {
            padding: calc(var(--fontSize) * 1);
        }

        .pt {
            padding-top: calc(var(--fontSize) * 1);
        }

        .pt-0 {
            padding-top: 0;
        }

        .pb {
            padding-bottom: calc(var(--fontSize) * 1);
        }

        .pb-1 {
            padding-bottom: calc(var(--fontSize) * .5);
        }

        .pr {
            padding-right: calc(var(--fontSize) * 1);
        }

        .pl {
            padding-left: calc(var(--fontSize) * 1);
        }

        .mt {
            margin-top: calc(var(--fontSize) * 1);
        }

        .mt-0 {
            margin-top: 0;
        }

        .mt-1 {
            margin-top: calc(var(--fontSize) * .5);
        }

        .mb {
            margin-bottom: calc(var(--fontSize) * 1);
        }

        .mr {
            margin-right: calc(var(--fontSize) * 1);
        }

        .ml {
            margin-left: calc(var(--fontSize) * 1);
        }

        .w-100 {
            width: 100%;
        }

        .flex {
            display: flex;
        }

        .grid {
            display: grid;
        }

        .gap {
            grid-gap: calc(var(--fontSize) * 1);
        }

        .gap-1 {
            grid-gap: calc(var(--fontSize) * .5);
        }

        .direction-column {
            flex-direction: column;
        }

        .align-center {
            align-items: center;
        }

        .align-end {
            align-items: flex-end;
        }

        .justify-center {
            justify-content: center;
        }

        .justify-end {
            justify-content: flex-end;
        }

        .justify-between {
            justify-content: space-between;
        }

        .temp-col-2 , .temp-col-3, .temp-col-4 {
            grid-template-columns: 1fr;
        }

    /* #endregion */


    /* #region (btns) */

        .btn {
            width: auto;
            height: auto;
            padding: calc(var(--fontSize) * 1) calc(var(--fontSize) * 2);
            display: flex;
            align-items: center;
            justify-content: center;
            border-radius: calc(var(--fontSize) * 4);
            background-color: var(--fillMain);
            border: none;
            color: white;
            font-size: calc(var(--fontSize) * 1.5);
            font-weight: 600;
            text-align: center;
            text-decoration: none;
            cursor: pointer;
            position: relative;
            transition: var(--transition);
        }

        .btn.--square {
            width: calc(var(--fontSize) * 3);
            height: calc(var(--fontSize) * 3);
            border-radius: calc(var(--fontSize) * 1);
            padding: calc(var(--fontSize) * .5);
        }

        .btn svg {
            position: relative;
        }

        .--isBlured {
            background-color: transparent;
            color: var(--fillFont);
        }

        .--isBlured:before {
            content: '';
            display: block;
            width: 100%;
            height: 100%;
            border-radius: calc(var(--fontSize) * 3);
            position: absolute;
            top: 0;
            left: 0;
            background-color: rgb(255 255 255 / 22%);
            backdrop-filter: blur(2px);
            -webkit-backdrop-filter: blur(2px);
        }

        .btn.--square.--isBlured:before {
            border-radius: calc(var(--fontSize) * 1);
        }

        .btn:active {
            transform: scale(.95);
        }

    /* #endregion */


    /* #region (other) */

        .main {
            width: 100%;
            height: 100%;
            flex: 1;
            text-align: center;
            text-transform: lowercase;
        }

        .main .bg {
            width: 100%;
            height: 100%;
            position: absolute;
            z-index: -1;
            top: 0;
            left: 0;
        }

        .logo {
            width: 80%;
            margin: 0 auto;
        }

        .logo:before {
            padding-bottom: 20%;
        }

        .logo img {
            object-fit: contain;
        }

        .footer {
            width: 100%;
            background-color: black;
            border-radius: calc(var(--fontSize) * 4) calc(var(--fontSize) * 4) 0 0;
        }

    /* #endregion */

/* #endregion */


/* tablets */
@media (min-width: 480px) {

    :root {
        --mainHeight: 50dvh;
        --fontSize: .75rem;
    }

    body::-webkit-scrollbar {
        width: 0;
        border-radius: 0;
    }

    body::-webkit-scrollbar-thumb {
        background-color: transparent;
        border-radius: 0;
    }

    .temp-col-2, .temp-col-3, .temp-col-4 {
        grid-template-columns: repeat(2, 1fr);
    }

}


/* desktop */
@media (min-width: 1024px) {

    :root {
        --mainHeight: 85dvh;
        --fontSize: 1rem;
    }

    html::-webkit-scrollbar-thumb {
        background-color: var(--fillFont);
        border-radius: 1rem;
    }

    html::-webkit-scrollbar {
        width: .5rem;
    }

    html::-webkit-scrollbar-track {
        background-color: transparent;
        border-radius: 1rem;
    }

    .temp-col-3, .temp-col-4 {
        grid-template-columns: repeat(3, 1fr);
    }

}


/* full desktop */
@media (min-width: 1366px) {

    a:hover:not(.btn, .card), a:hover:not(.btn, .card) * {
        color: var(--fillMain);
    }

    .container {
        padding: 0;
    }

    .temp-col-4 {
        grid-template-columns: repeat(4, 1fr);
    }

    .btn:hover {
        color: var(--fillFont);
        background-color: transparent;
    }

}